
        NEWS file for libxslt

See the git page at 
https://gitlab.gnome.org/GNOME/libxslt

to get a description of the recent commits.
v1.1.35: Feb 16 2022:
   - Security:
  [CVE-2021-30560] Fix use-after-free in xsltApplyTemplates
  Fix memory leak in xsltDocumentElem (David King)
  Fix memory leak in xsltCompileIdKeyPattern (David King)
  Fix double-free with stylesheets containing entity nodes
  
   - Fixed regressions:
  Fix performance regression with predicates in patterns
  Fix regression in xsltComputeSortResult
  
   - Bug fixes:
  Fix conflict resolution for templates with same priority
  Fix xsl:number generating invalid UTF-8
  Support attribute value templates in xsl:sort lang attributes
  Don't pass first <xsl:sort> in <xsl:apply-templates> twice
  Fix quadratic runtime with text and <xsl:message>
  Don't allow empty EXSLT durations
  
   - Improvements:
  Add xsltproc --huge Argument via libxml XML_PARSE_HUGE (William N. Braswell, Jr.)
  
   - Tests, code quality, fuzzing:
  Remove .travis.yml
  Fix some misleading indentation (David King)
  Use actual types for templates in struct _xsltStylesheet
  Add CI for CMake on MSVC (Markus Rickert)
  Check for null pointer before calling freelocale
  Add CI test for Python 3
  Don't set maxDepth in XPath contexts
  Transfer XPath limits to XPtr context
  Stop using maxParserDepth XPath limit
  Make long-to-double cast explicit in date.c
  Disable LeakSanitizer
  Run clang CI tests with -Wimplicit-int-conversion
  Fix implicit-int-conversion warning in exslt/crypto.c
  Fix clang -Wimplicit-int-conversion warning (David Kilzer)
  Fix clang -Wconditional-uninitialized warning in libxslt/numbers.c (David Kilzer)
  Fix -Wshadow warnings in libexslt/dynamic.c (David Kilzer)
  Also search parent dir for source XML when fuzzing
  
   - Build system, portability:
  Add CMake build files (Markus Rickert)
  Initial support for Python 3 (Suleyman Poyraz)
  Call ANSI versions of WinAPI functions explicitly
  Remove redundant flags from pkg-config files
  Suppress automake warning in tests/XSLTMark
  Fix linking libexslt dynamic library when using MinGW (Vadim Zeitlin)
  Added platform specific path separators (Dmitriy Korovkin)
  win32: allow passing *FLAGS on command line
  Fix export of xsltExtMarker on Windows (David Kilzer)
  Fix redundant includes already in libexslt.h (David Kilzer)
  Minor fixes to configure.js
  Fix variable syntax in Python configuration
  Add new EXSLT string tests to EXTRA_DIST
  Fix xml2-config check in configure script
  win32: Add configuration for profiler (Chun-wei Fan)
  Check whether 'xml2-config --dynamic' is supported
  
   - Documentation:
  Add Makefile rule to regenerate xsltproc.html
  Update links
  Remove MAINTAINERS
  Upload documentation to GitLab Pages
  Add documentation in devhelp format
  Add --enable-rebuild-docs configure option
  Fix libexslt header summaries
  Fix validity of tutorial XML (David King)
  Use DocBook URL for tutorial DTD (David King)
  Update libxslt.doap
  Add missing options to xsltproc man page
  


v1.1.34: Oct 30 2019:
   - Documentation:
  Fix EXSLT web pages (Nick Wellnhofer),
  Regenerate web pages (Nick Wellnhofer),
  Fix Git link in news.html (Nick Wellnhofer),
  Minor documentation fixes after recent changes (Nick Wellnhofer),
  Fix typos (Jan Pokorný),
  Regenerate symbols and API docs (Nick Wellnhofer),
  Regenerate EXSLT website (Nick Wellnhofer)
  
   - Portability:
  Remove stubs when compiling without debugger or profiler (Nick Wellnhofer),
  configure.ac: Invoke PKG_CHECK_MODULES for building shared libraries (Hugh McMaster),
  configure.ac: Conditionally determine whether xml2-config should pass shared libraries or static libraries (Hugh McMaster),
  xslt-config.in: Fix broken --prefix=DIR support (Hugh McMaster),
  libexslt.pc.in: Do not expose private library  dependencies unless invoked (Hugh McMaster),
  libxslt.pc.in: Do not expose private library dependencies  unless invoked (Hugh McMaster),
  Fix -Wformat-overflow warning (GCC 9) (Nick Wellnhofer),
  Stop including ansidecl.h (Nick Wellnhofer),
  Remove WIN32_EXTRA_* variables (Nick Wellnhofer),
  Fix vsnprintf in Python bindings on Windows (Nick Wellnhofer),
  Build without winsock (Nick Wellnhofer),
  Stop redefining snprintf on MinGW (Nick Wellnhofer)
  
   - Bug Fixes:
  xsl:template without name and match attributes should not be allowed (Nikolai Weibull),
  Make sure that Python tests exit with error code (Nick Wellnhofer),
  Improve handling of invalid UTF-8 in format-number (Nick Wellnhofer),
  Fix dangling pointer in xsltCopyText (Nick Wellnhofer),
  Fix memory leak in pattern compilation error path (Nick Wellnhofer),
  Fix uninitialized read with UTF-8 grouping chars (Nick Wellnhofer),
  Fix integer overflow in FORMAT_GYEAR (Nick Wellnhofer),
  Fix performance regression with xsl:number (Nick Wellnhofer),
  Backup XPath context node in xsltInitCtxtKey (Nick Wellnhofer),
  Fix unsigned integer overflow in date.c (Nick Wellnhofer),
  Fix insertion of xsl:fallback content (Nick Wellnhofer),
  Avoid quadratic behavior in xsltSaveResultTo (Nick Wellnhofer),
  Fix numbering in non-Latin scripts (Nick Wellnhofer),
  Fix uninitialized read of xsl:number token (Nick Wellnhofer),
  Fix integer overflow in _exsltDateDayInWeek (Nick Wellnhofer),
  Rework xsltAttrVT allocation (Nick Wellnhofer),
  Fix check of xsltTestCompMatch return value (Nick Wellnhofer),
  Fix security framework bypass (Nick Wellnhofer),
  Use xmlNewTextChild in EXSLT dyn:map (Nick Wellnhofer),
  Fix float casts in exsltDateDuration (Nick Wellnhofer),
  Always set context node before calling XPath iterators (Nick Wellnhofer),
  Fix attribute precedence with xsl:use-attribute-sets (Nick Wellnhofer),
  Backup context node in exsltFuncFunctionFunction (Nick Wellnhofer),
  Initialize ctxt->output before evaluating global vars (Nick Wellnhofer),
  Fix memory leak in EXSLT functions error path (Nick Wellnhofer)
  
   - Improvements:
  Enable continuous integration via GitLab CI (Nick Wellnhofer),
  Fix -Wimplicit-fallthrough warnings (Nick Wellnhofer),
  Adjust number of API index pages (Nick Wellnhofer),
  Make xsltCompileRelativePathPattern non-recursive (Nick Wellnhofer),
  Check that crypto:rc4_decrypt produces valid UTF-8 (Nick Wellnhofer),
  Avoid recursion in keys.c:skipPredicate (Nick Wellnhofer),
  xslt-config.in: Simply handling of $all_flags (Hugh McMaster),
  xslt-config.in: Add a --dynamic option to --libs (Hugh McMaster),
  xslt-config.in: Simplify basic library handling (Hugh McMaster),
  xslt-config.in: Remove unused variable (Hugh McMaster),
  xslt-config: Simply handling of --cflags (Hugh McMaster),
  Add Travis test with MemorySanitizer (Nick Wellnhofer),
  Run Travis ASan tests under Xenial (Nick Wellnhofer),
  Improve fuzzers (Nick Wellnhofer),
  Always reuse XPath context (Nick Wellnhofer),
  Compile with -Wextra (Nick Wellnhofer),
  Make profiler support optional (Nick Wellnhofer),
  Hide unused code when compiling without debugger (Nick Wellnhofer),
  Reorganize fuzzing code (Nick Wellnhofer),
  Simplify .gitignore (Nick Wellnhofer),
  Optional operation limit (Nick Wellnhofer),
  Improve seed corpus and dictionary (Nick Wellnhofer),
  Reuse XPath context when compiling stylesheets (Nick Wellnhofer),
  Reuse XPath context in dyn:map (Nick Wellnhofer),
  Reuse XPath context in saxon:expression (Nick Wellnhofer),
  Add libFuzzer targets (Nick Wellnhofer),
  Adjust error message in expected test output (Nick Wellnhofer),
  Change bug tracker URL (Nick Wellnhofer),
  Change git repo URL (Nick Wellnhofer),
  Regenerate NEWS (Nick Wellnhofer),
  Fix misleading indentation in security.c (Nick Wellnhofer)
  
   - Cleanups:
  Candidate release 1 of libxslt 1.1.34 * doc/xsltproc.xml: moved to new place for docbook stylesheet and work   around a missing / inrewrite of  docbook xsl catalog in Fedora 30 * tests/fuzz/Makefile.am: add fuzz.h to sources * python/Makefile.am: there is no more TODO * libxslt.spec.in: run make tests instead of check to avoid fuzz in that   environment, and drop python TODO (Daniel Veillard),
  Remove empty TODO file (Nick Wellnhofer),
  Remove generated file libxsltclass.txt from version control (Nick Wellnhofer),
  Rebuild docs (Nick Wellnhofer)
  


v1.1.33: Jan 03 2019:
   - Portability:
  Variables need 'extern' in static lib on Cygwin (Nick Wellnhofer),
  Really declare dllexport/dllimport for Cygwin (Michael Haubenwallner),
  Fix callback signatures in Python bindings (Nick Wellnhofer),
  Fix transform callback signatures (Nick Wellnhofer),
  Fix extension callback signatures (Nick Wellnhofer),
  Fix deallocator signatures (Nick Wellnhofer),
  Fix XPath callback signatures (Nick Wellnhofer),
  Fix hash callback signatures (Nick Wellnhofer)
  
   - Bug Fixes:
  Don't cache direct evaluation of patterns with variables (Nick Wellnhofer),
  Move function result RVTs to context variable (Nick Wellnhofer),
  Fix EXSLT functions returning RVTs from outer scopes (Nick Wellnhofer),
  Fix handling of RVTs returned from nested EXSLT functions (Nick Wellnhofer),
  Fix typos (Nick Wellnhofer)
  
   - Improvements:
  Run Travis ASan tests with "sudo: required" (Nick Wellnhofer)
  
   - Cleanups:
  Remove doc/libxslt-decl.txt (Nick Wellnhofer),
  Docs for 1.1.32 release (Daniel Veillard)
  


1.1.32: Nov 02 2017:
   - Portability:
  Add missing limits.h include (Nick Wellnhofer),
  Also run Windows tests with --maxdepth 200 (Nick Wellnhofer),
  Disable some MSVC warnings (Nick Wellnhofer),
  Fix deprecated Travis compiler flag (Nick Wellnhofer),
  Run general tests with maxdepth=200 (Nick Wellnhofer),
  Use _WIN32 macro instead of WIN32 (Nick Wellnhofer),
  Fix xsltproc newlines on Windows (Nick Wellnhofer),
  Fix Windows compiler warnings (Nick Wellnhofer),
  Rework locale feature tests (Nick Wellnhofer)
  
   - Improvements:
  Rebuild win32/libxslt.def.src (Nick Wellnhofer),
  Fix compiler warnings in Python bindings (Nick Wellnhofer)
  


v1.1.31: Oct 06 2017:
   - Portability:
  Fix win32/configure.js (Nick Wellnhofer)
  
   - Bug Fixes:
  Fix pkg-config related regressions in configure script (Nick Wellnhofer)
  
   - Improvements:
  Adjust expected error output for libxml2 changes (Nick Wellnhofer),
  Misc autoconf updates (Nick Wellnhofer)
  


v1.1.30: Sep 04 2017:
   - Documentation:
  Misc doc fixes (Nick Wellnhofer)
  
   - Portability:
  Look for libxml2 via pkg-config first (Elliott Sales de Andrade),
  Change default SOPREFIX on Windows to "bin" (Nick Wellnhofer),
  Add WIN32_EXTRA_LDFLAGS to tests/plugins/Makefile.am (Michael Haubenwallner)
  
   - Bug Fixes:
  Also fix memory hazards in exsltFuncResultElem (Nick Wellnhofer),
  Fix NULL deref in xsltDefaultSortFunction (Nick Wellnhofer),
  Fix memory hazards in exsltFuncFunctionFunction (Nick Wellnhofer),
  Fix memory leaks in EXSLT error paths (Nick Wellnhofer),
  Fix memory leak in str:concat with empty node-set (Nick Wellnhofer),
  Fix memory leaks in error paths (Nick Wellnhofer),
  Switch to xmlUTF8Strsize in numbers.c (Nick Wellnhofer),
  Fix NULL pointer deref in xsltFormatNumberFunction (Nick Wellnhofer),
  Fix UTF-8 check in str:padding (Nick Wellnhofer),
  Fix xmlStrPrintf argument (Nick Wellnhofer),
  Check for overflow in _exsltDateParseGYear (Nick Wellnhofer),
  Fix double to int conversion (Nick Wellnhofer),
  Check for overflow in exsltDateParseDuration (Nick Wellnhofer),
  Change version of xsltMaxVars back to 1.0.24 (Nick Wellnhofer),
  Disable xsltCopyTextString optimization for extensions (Nick Wellnhofer),
  Create DOCTYPE for HTML version 5 (Nick Wellnhofer),
  Make xsl:decimal-format work with namespaces (Nick Wellnhofer),
  Remove norm:localTime extension function (Nick Wellnhofer),
  Check for integer overflow in xsltAddTextString (Nick Wellnhofer),
  Detect infinite recursion when evaluating function arguments (Nick Wellnhofer),
  Fix memory leak in xsltElementAvailableFunction (Nick Wellnhofer),
  Fix for pattern predicates calling functions (Nick Wellnhofer),
  Fix cmd.exe invocations in Makefile.mingw (Nick Wellnhofer),
  Don't try to install index.sgml (Nick Wellnhofer),
  Fix symbols.xml (Nick Wellnhofer),
  Fix heap overread in xsltFormatNumberConversion (Nick Wellnhofer),
  Fix <xsl:number level="any"/> for non-element nodes (Nick Wellnhofer),
  Fix unreachable code in xsltAddChild (mahendra.n),
  Change version number in xsl:version warning (Nick Wellnhofer),
  Avoid infinite recursion after failed param evaluation (Nick Wellnhofer),
  Stop if potential recursion is detected (Nick Wellnhofer),
  Consider built-in templates in apply-imports (Nick Wellnhofer),
  Fix precedence with multiple attribute sets (Nick Wellnhofer),
  Rework attribute set resolution (Nick Wellnhofer)
  
   - Improvements:
  Add .travis.yml (Nick Wellnhofer),
  Silence tests a little (Nick Wellnhofer),
  Set LIBXML_SRC to absolute path (Nick Wellnhofer),
  Add missing #include (Nick Wellnhofer),
  Adjust expected error messages in tests (Nick Wellnhofer),
  Make xsltDebug more quiet (Nick Wellnhofer),
  New-line terminate error message that missed this convention (Jan Pokorný),
  Use xmlBuffers in EXSLT string functions (Nick Wellnhofer),
  Switch to xmlUTF8Strsize in EXSLT string functions (Nick Wellnhofer),
  Check for return value of xmlUTF8Strlen (Nick Wellnhofer),
  Avoid double/long round trip in FORMAT_ITEM (Nick Wellnhofer),
  Separate date and duration structs (Nick Wellnhofer),
  Check for overflow in _exsltDateDifference (Nick Wellnhofer),
  Clamp seconds field of durations (Nick Wellnhofer),
  Change _exsltDateAddDurCalc parameter types (Nick Wellnhofer),
  Fix date:difference with time zones (Nick Wellnhofer),
  Rework division/remainder arithmetic in date.c (Nick Wellnhofer),
  Remove exsltDateCastDateToNumber (Nick Wellnhofer),
  Change internal representation of years (Nick Wellnhofer),
  Optimize IS_LEAP (Nick Wellnhofer),
  Link libraries with libm (Jussi Kukkonen),
  Rename xsltCopyTreeInternal to xsltCopyTree (Nick Wellnhofer),
  Update linker version script (Nick Wellnhofer),
  Add local wildcard to version script (Nick Wellnhofer),
  Make some symbols static (Nick Wellnhofer),
  Remove redundant NULL check in xsltNumberComp (mahendra.n),
  Fix forwards compatibility for imported stylesheets (Nick Wellnhofer),
  Reduce warnings in forwards-compatible mode (Nick Wellnhofer),
  Precompute XSLT elements after preprocessing (Nick Wellnhofer),
  Fix whitespace in xsltParseStylesheetTop (Nick Wellnhofer),
  Consolidate recursion checks (Nick Wellnhofer),
  Treat XSLT_STATE_STOPPED same as errors (Nick Wellnhofer),
  Make sure that XSLT_STATE_STOPPED isn't overwritten (Nick Wellnhofer),
  Add comment regarding built-in templates and params (Nick Wellnhofer),
  Rewrite memory management of local RVTs (Nick Wellnhofer),
  Validate QNames of attribute sets (Nick Wellnhofer),
  Add xsl:attribute-set regression tests (Nick Wellnhofer),
  Ignore imported stylesheets in xsltApplyAttributeSet (Nick Wellnhofer)
  


1.1.29: May 24 2016:
   - Security:
  CVE-2015-7995 Fix for type confusion in preprocessing attributes (Daniel Veillard)
  
   - Documentation:
  
   - Portability:
  Fix a portibility problem with previous commit (Eduard Sanou),
  Fix MingW build (Nick Wellnhofer),
  Correctly emulate snprintf on older MSVC versions (Nick Wellnhofer),
  Add Python script to run some tests on Windows (Nick Wellnhofer),
  Remove /OPT:NOWIN98 option (Nick Wellnhofer),
  Visual Studio 14 CTP defines snprintf() (Daniel Veillard),
  Use AC_PATH_TOOL to find libgcrypt-config and xml2-config (Micha¿ Górny),
  Use $libdir for LIBXSLT_DEFAULT_PLUGINS_PATH (larryhaja),
  Use mkdir macro also in case if mingw32. (Lars Kanis),
  Add math library to executable link flags (Nick Wellnhofer),
  Fix quoting of xlocale test program in configure.in (Nick Wellnhofer)
  
   - Bug Fixes:
  Fix OOB heap read in xsltExtModuleRegisterDynamic (Nick Wellnhofer),
  Remove CDATA markup from libxslt_tutorial.c (Nick Wellnhofer),
  Remove generated headers from dist tarball (Nick Wellnhofer),
  Mark XML file argument as repeatable (Nick Wellnhofer),
  Keep timezone in date:add (Nick Wellnhofer),
  Fix buffer overflow in exsltDateFormat (Nick Wellnhofer),
  Fix saxon:line-number with namespace nodes (Nick Wellnhofer),
  Fix dyn:map with namespace nodes (Nick Wellnhofer),
  Fix error handling in Saxon extension functions (Nick Wellnhofer),
  Fix double free in libexslt hash functions (Nick Wellnhofer),
  Fix libxslt format warnings (David Kilzer),
  Fix xsltNumberFormatGetMultipleLevel (Nick Wellnhofer),
  Fix use-after-free in xsltDocumentFunctionLoadDocument (Nick Wellnhofer),
  Always initialize EXSLT month and day to 1 (Nick Wellnhofer),
  Fix possible NULL pointer deref in transform.c (mahendra.n),
  Fix possible NULL pointer deref in xsltCopyTextString (Nick Wellnhofer),
  Fix possible NULL pointer deref in libexslt/functions.c (Nick Wellnhofer),
  Fix possible NULL pointer deref in xsltproc.c (mahendra.n),
  Fix possible NULL pointer deref in preproc.c (mahendra.n),
  Fix LIBXSLT_DEFAULT_PLUGINS_PATH in xsltconfig.h (Nick Wellnhofer),
  Fix memory leak in xsltNumberFormat (Albert Astals Cid),
  Error in doc/Makefile.am (Brice De Bruyne),
  Detect attribute sets recursions in more cases (Daniel Veillard),
  Check name vales for attribute-set elements (Daniel Veillard),
  Fix hang with namespace-alias, fixes #700689 (Shaun McCance),
  Fix str:align with UTF-8 strings (Nick Wellnhofer),
  Fix for compiled XPath helpers (Nick Wellnhofer),
  Check return value of exsltFuncNewFunctionData (Nick Wellnhofer),
  Fix return value of xsltRegisterExtModuleElement (Nick Wellnhofer),
  Call xmlNodeGetSpacePreserve with element node (Nick Wellnhofer),
  Set namespaces before evaluating xsl:number (Nick Wellnhofer),
  Make --maxvars option work (Per Hedeland),
  Set correct context node when initializing xsl:keys (Nick Wellnhofer),
  Fix for bug 436589 (Imran Azeezullah),
  Memory leak in xsltCompileIdKeyPattern error path (Nick Wellnhofer),
  Fix handling of UTF-8 strings in EXSLT crypto module (Nick Wellnhofer),
  Fix certain patterns with predicates (Nick Wellnhofer),
  Fix direct pattern matching (Nick Wellnhofer),
  Fix str:padding to work with UTF-8 strings (Nick Wellnhofer),
  EXSLT function str:replace() is broken as-is (Nick Wellnhofer),
  Fix a couple of places where (f)printf parameters were broken (Daniel Veillard)
  
   - Improvements:
  Add support timestamps from environment (Daniel Veillard),
  Add missing tests to dist tarball (Nick Wellnhofer),
  Improve error message in xsltAddTemplate and fix test (Nick Wellnhofer),
  Allow REC tests with empty stdout (Nick Wellnhofer),
  Fix GPL license in HTML files as well (Nick Wellnhofer),
  Fix status message in EXSLT dynamic tests (Nick Wellnhofer),
  Add public function macros to xsltlocale.h (Nick Wellnhofer),
  Make valgrind tests work with libtool (Nick Wellnhofer),
  Add a couple of xsl:number tests (Nick Wellnhofer),
  Lower and upper bound for format token "i" (Nick Wellnhofer),
  Lower bound for format token "a" (Nick Wellnhofer),
  Handle negative xsl:number values (Nick Wellnhofer),
  Round xsl:number values to nearest integer (Nick Wellnhofer),
  Allow {URI}NCName syntax for user parameters (Nick Wellnhofer),
  Fix endTimer parameter type (Nick Wellnhofer),
  Fix error messages for unsupported methods (Nick Wellnhofer),
  Replace sprintf with snprintf (David Kilzer),
  Enforce two digit exponent under MSVC (Nick Wellnhofer),
  Rework xsltNumberFormat to fix warning (Nick Wellnhofer),
  Fix a couple of GPL licences found in the documentation (Daniel Veillard),
  Use hash table to lookup named templates (Christian Ceelen),
  Fix to reg tests post 737840 fix (Daniel Veillard),
  Don't fail build the man page if xsltproc is not present (Daniel Veillard),
  Re-adding xsltproc.1 (Daniel Veillard),
  Fix time type in xsltSaveProfiling (Nick Wellnhofer),
  Remove unused parameters (Nick Wellnhofer),
  Suppress unused variable warning. (Nick Wellnhofer),
  Remove unused variable in xsltGenerateIdFunction (Nick Wellnhofer),
  Add test case for XPath function args in error case (Nick Wellnhofer),
  Add comment about known-to-fail test (Nick Wellnhofer),
  Adjust expected test output (Nick Wellnhofer),
  Helper functions to evaluate compiled XPath expressions (Nick Wellnhofer),
  Add tests for crypto:rc4 (Nick Wellnhofer),
  Add first test case for EXSLT crypto module (Nick Wellnhofer),
  Separate function for predicate matching in patterns (Nick Wellnhofer),
  Initialize pseudo random number generator with current time or optional command line parameter (Nils Werner),
  Adding doc update related to 1.1.28 (Daniel Veillard)
  
   - Cleanups:
  Remove bogus test file (Nick Wellnhofer),
  Add warning message to expected test output (Nick Wellnhofer)
  


1.1.28: Nov 21 2012:
   -  Portability:
    Fix python build by using libxsltmod_la_CPPFLAGS instead of AM_CPPFLAGS (Alexandre Rostovtsev),
    configure should be more careful with linker script (Igor Pashev),
    add gcrypt library in LIBADD, not LDFLAGS, as recommended (Roumen Petrov)
  
   -  Bug fixes:
    Fix generate-id() to avoid generating the same ID (Stewart Brodie),
    Fix crash with empty xsl:key/@match attribute (Nick Wellnhofer),
    Crash when passing an uninitialized variable to document() (Nick Wellnhofer),
    Add missing test docs to EXTRA_DIST (Nick Wellnhofer),
    Fix regression: Default namespace not correctly used (Nick Wellnhofer)
  
   -  Cleanups:
    Remove xsltTransStorageAdd and xsltTransStorageRemove from symbols.xml (Daniel Veillard),
    autogen.sh cleanup (Daniel Richard),
    consistent use of xslt processor (Roumen Petrov),
    Add object files in tests/plugins to .gitignore (Nick Wellnhofer),
    Fix error on bug-165 regression test (Daniel Veillard),
    Remove xsltTransStorageAdd and xsltTransStorageRemove (Daniel Veillard),
  


1.1.27: Sep 12 2012:
   -  Portability:
    xincludestyle wasn't protected with LIBXML_XINCLUDE_ENABLED (Michael Bonfils),
    Portability fix for testThreads.c (IlyaS),
    FreeBSD portability fixes (Pedro F. Giffuni),
    check for gmtime - on mingw* hosts will enable date-time function (Roumen Petrov),
    use only native crypto-API for mingw* hosts (Roumen Petrov),
    autogen: Only check for libtoolize (Colin Walters),
    minimal mingw support (Roumen Petrov),
    configure: acconfig.h is deprecated since autoconf-2.50 (Stefan Kost),
    Fix a small out of tree compilation issue (Hao Hu),
    Fix python generator to not use deprecated xmllib (Daniel Veillard),
    link python module with python library (Frederic Crozat)
  
   -  Documentation:
    Tiny doc improvement (Daniel Veillard),
    Various documentation fixes for docs on internals (C. M. Sperberg-McQueen)
  
   -  Bug fixes:
    Report errors on variable use in key (Daniel Veillard),
    The XSLT namespace string is a constant one (Daniel Veillard),
    Fix handling of names in xsl:attribute (Nick Wellnhofer),
    Reserved namespaces in xsl:element and xsl:attribute (Nick Wellnhofer),
    Null-terminate result string of cry:rc4_decrypt (Nick Wellnhofer),
    EXSLT date normalization fix (James Muscat),
    Exit after compilation of invalid func:result (Nick Wellnhofer),
    Fix for EXSLT func:function (Nick Wellnhofer),
    Rewrite EXSLT string:replace to be conformant (Nick Wellnhofer),
    Avoid a heap use after free error (Chris Evans),
    Fix a dictionary string usage (Chris Evans),
    Output should not include extraneous newlines when indent is off (Laurence Rowe),
    document('') fails to return stylesheets parsed from memory (Jason Viers),
    xsltproc should return an error code if xinclude fails (Malcolm Purvis),
    Forwards-compatible processing of unknown top level elements (Nick Wellnhofer),
    Fix system-property with unknown namespace (Nick Wellnhofer),
    Hardening of code checking node types in EXSLT (Daniel Veillard),
    Hardening of code checking node types in various entry point (Daniel Veillard),
    Cleanup of the pattern compilation code (Daniel Veillard),
    Fix default template processing on namespace nodes (Daniel Veillard),
    Fix a bug in selecting XSLT elements (Daniel Veillard),
    Fixed bug #616839 (Daniel Mustieles),
    Fix some case of pattern parsing errors (Abhishek Arya),
    preproc: fix the build (Stefan Kost),
    Fix a memory leak with xsl:number (Daniel Veillard),
    Fix a problem with ESXLT date:add() with January (money_seshu Dronamraju),
    Fix a memory leak if compiled with Windows locale support (Daniel Veillard),
    Fix generate-id() to not expose object addresses (Daniel Veillard),
    Fix curlies support in literals for non-compiled AVTs (Nick Wellnhofer),
    Allow whitespace in xsl:variable with select (Nick Wellnhofer),
    Small fixes to locale code (Nick Wellnhofer),
    Fix bug 602515 (Nick Wellnhofer),
    Fix popping of vars in xsltCompilerNodePop (Nick Wellnhofer),
    Fix direct pattern matching bug (Nick Wellnhofer)
  
   -  Improvements:
    Add the saxon:systemId extension (Mike Hommey),
    Add an append mode to document output (Daniel Veillard),
    Add new tests to EXTRA_DIST (Nick Wellnhofer),
    Test for bug #680920 (Nick Wellnhofer),
    fix regresson in Various "make distcheck" and other fixes (Roumen Petrov),
    Various "make distcheck" and other fixes (Daniel Richard G),
    Fix portability to upcoming libxml2-2.9.0 (Daniel Veillard),
    Adding --system flag support to autogen.sh (Daniel Veillard),
    Allow per-context override of xsltMaxDepth, introduce xsltMaxVars (Jérôme Carretero),
    autogen.sh: Honor NOCONFIGURE environment variable (Colin Walters),
    configure: support silent automake rules if possible (Stefan Kost),
    Precompile patterns in xsl:number (Nick Wellnhofer),
    Fix some warnings in the refactored code (Nick Wellnhofer),
    Adding new generated files (Daniel Veillard),
    profiling: add callgraph report (Stefan Kost)
  
   -  Cleanups:
    Big space and tabs cleanup (Daniel Veillard),
    Fix authors list (Daniel Veillard),
    Cleanups some of the test makefiles (Daniel Richard),
    Remove .cvsignore files which are not needed anymore (Daniel Veillard),
    Cleanup some misplaced spaces and tabs (Daniel Veillard),
    Augment list of ignored files (Daniel Veillard),
    configure: remove checks for isinf and isnan as those are not used anyway (Stefan Kost),
    Point to GIT for source code and a bit of cleanup (Daniel Veillard),
    Get rid of specific build setup and STATIC_BINARIES (Daniel Veillard)
  


1.1.26: Sep 24 2009:
   -  Improvement:
    Add xsltProcessOneNode to exported symbols for lxml (Daniel Veillard)
  
   -  Bug fixes:
    Fix an idness generation problem (Daniel Veillard),
    595612 Try to fix some locking problems (Daniel Veillard),
    Fix a crash on misformed imported stylesheets (Daniel Veillard)
  


1.1.25: Sep 17 2009:
   -  Features:
      Add API versioning and various cleanups (Daniel Veillard),
      xsl:sort lang support using the locale (Nick Wellnhofer and Roumen Petrov)
  
   -  Documentation:
      Fix the download links for Solaris (Daniel Veillard),
      Fix makefile and spec file to include doc in rpm (Daniel Veillard)
  
   -  Portability:
      Make sure testThreads is linked with pthreads (Daniel Veillard),
      Fix potential crash on debug of extensions Solaris (Ben Walton),
      applied patch from Roumen Petrov for mingw cross compilation problems (Roumen Petrov),
      patch from Richard Jones to build shared libs with MinGW cross-compiler (Richard Jones),
      fix include path when compiling with MinGW (Roumen Petrov),
      portability fixes ( Nick Wellnhofer and Roumen Petrov)
  
   -  Bug fixes:
      Big fixes of pattern compilations (Nick Wellnhofer),
      Fix uses of xmlAddChild for error handling (Daniel Veillard),
      Detect deep recusion on function calls (Daniel Veillard),
      Avoid an error in namespace generation (Martin),
      Fix importing of encoding from included stylesheets (Nick Wellnhofer),
      Fix problems with embedded stylesheets and namespaces (Martin),
      QName parsing fix for patterns (Martin),
      Crash compiling stylesheet with DTD (Martin),
      Fix xsl:strip-space with namespace and wildcard (Nick Wellnhofer),
      Fix a mutex deadlock on unregistered extensions (Nix),
      567192 xsltproc --output option ignore --xinclude (Joachim Breitner),
      Fix redundant headers in list (Daniel Veillard),
      134754 Configure's --with-html-dir related fixes (Julio M. Merino Vidal),
      305913 a serious problem in extensions reentrancy (Daniel Veillard),
      Fix an idness issue when building the tree (Daniel Veillard),
      Fixed indexing error reported by Ron Burk on the mailing list. (William M. Brack),
      prevent some unchecked pointer accesses (Jake Goulding),
      fix for CVE-2008-2935 libexslt RC4 encryption/decryption functions Daniel (Daniel Veillard),
      avoid a quadratic behaviour when hitting duplicates (Daniel Veillard),
      544829 fixed option --with-debugger (Arun Ragnavan),
      541965 fixed incorrect argument popping in exsltMathAtan2Function (William M. Brack),
      fix problem with string check for element-available (Ron Burk),
      539741 added code to handle literal within an AVT (William M. Brack)
  
   -  Improvements:
      Allow use of EXSLT outside XSLT (Martin),
      Support Esperanto locale (Nick Wellnhofer),
      Change how attributes are copied for id and speed (Daniel Veillard),
      Add API versioning and various cleanups (Daniel Veillard),
      Adding a test program to check thread reentrancy (Daniel Veillard),
      big patch from  finishing xsl:sort lang support (Roumen Petrov),
      add xsl:sort lang support using the locale (Nick Wellnhofer)
  
   -  Cleanups:
      Label xsltProcessOneNode as static (Daniel Veillard),
      git setup (Daniel Veillard),
      fixed typo detected by new libxml2 code (William M. Brack),
      xsltExtFunctionLookup was defined but never implemented (Ralf Junker)
  


1.1.24: May 13 2008:
   - Documentation: man page fix (Vincent Lefevre).
   - Bug fixes: pattern bug fix, key initialization problems, exclusion of
      unknown namespaced element on top of stylesheets, python generator
      syntactic cleanup (Martin)


1.1.23: Apr  8 2008:
   - Documentation: fix links for Cygwin DocBook setup (Philippe Bourcier),
      xsltParseStylesheetDoc doc fix (Jason Viers), fix manpage default
      maxdepth value 
   - Bug fixes: python segfault (Daniel Gryniewicz), week-in-year bug fix
      (Maurice van der Pot), fix python iterator problem (William Brack),
      avoid garbage collection problems on str:tokenize and str:split
      and function results (William Brack and Peter Pawlowski) 
      superfluous re-generation of keys (William Brack), remove superfluous
      code in xsltExtInitTest (Tony Graham), func:result segfault fix
      (William Brack), timezone offset problem (Peter Pawlowski),
   - Portability fixes: old gcrypt support fix (Brent Cowgill), Python
      portability patch (Stephane Bidoul), VS 2008 fix (Rob Richard) 


1.1.22: Aug 23 2007:
   - Bug fixes: RVT cleanup problems (William Brack), exclude-result-prefix
      bug (William Brack), stylesheet compilation error handling (Rob Richards).
      
   - Portability fixes: improve build with VS2005 (Rob Richards), 
      fixing build on AIX (Bjorn Wiberg), fix the security file checks on
      Windows (Roland Schwarz and Rob Richards). 
   - Improvement: add an --encoding option to xsltproc (Drazen Kacar). 


1.1.21: Jun 12 2007:
   - Bug fixes: out of memory allocation errors (William Brack), 
      namespace problem on compound predicates (William Brack),
      python space/tab inconsistencies (Andreas Hanke), hook xsl:message
      to per transformation error callbacks (Shaun McCance),
      cached RVT problem (William Brack), XPath context maintainance
      on choose (William Brack), memory leaks in the math module (William
      Brack), exclude-result-prefix induced namespace problem (William
      Brack)
   - Build: configure setup for TRIO_REPLACE_STDIO (William Brack)
  
   - Documentation: updated after change from CVs to SVN (William Brack)


1.1.20: Jan 17 2007:
   - Portability fixes: strict aliasing fix (Marcus Meissner), BSD portability
      patches (Roland Illig)
   - Bug fixes: Result Value Tree handling fix (William Brack), function
      parameters fix (William), uninitialized variable (Kjartan Maraas),
      empty text node handling (William), plugin support and test fixes (William),
      fragment support fixes (William)
   - Improvements: python stylesheet compare and transform context
      access (Nic Ferrier), EXSLT string replace support (Joel Reed),
      xsltproc better low level error handling (Mike Hommey and William)


1.1.19: Nov 29 2006:
   - Bug fixes: entities within attributes (William Brack), Python detection
      problem (Joseph Sacco), in-scope namespace bug (Mike Hommey), Result
      value tree caching bug (William Brack)


1.1.18: Oct 26 2006:
   - portability and build fixes: DESTDIR problem, build paths in python
      shared lib, compile when libxml2 doesn't support XInclude (Gary Coady).
   - bug fixes: a number of namespace related bugs (Kasimier Buchcik), 
      parameters bugs (Kasimier Buchcik), proximity position in predicates
      of match patterns (Kasimier), exslt-node-set troubles with strings
      (Kasimier), CDATA serialization, Python floats and booleans XPath
      conversions, XInclude support fixes, RVT cleanup problem (William Brack
      and Kasimier), attribute checking in stylesheets (Kasimier), xsltForEach
      context problem (Kasimier), security check should pass full URLs (Shane
      Corgatelli), security cleanup patch (Mikhail Zabaluev), some python
      accessor for stylesheet were broken, memory errors when compiling 
      stylesheets (Mike Hommey), EXSLT current date end-of-month problem
      (William Brack).
   - improvements: refactoring of namespace handling, value-of impleemntation
      and template internal processing (Kasimier Buchcik), new xsltproc
      flag to apply Xinclude to stylesheets.
   - documentation: xsltproc man pages (Daniel Leidert), tests updates
      (William Brack), various typo fixes (Daniel Leidert), comments on
      versions macros (Peter Breitenlohner).


1.1.17: Jun 6 2006:
   - portability fixes: python detection
   - bug fixes: some regression tests, attribute/namespaces output (Kasimier
    Buchcik), problem in mixed xsl:value-of and xsl:text uses (Kasimier)
   - improvements: internal refactoring (Kasimier Buchcik), use of the XPath
    object cache in libxml2-2.6.25 (Kasimier)


1.1.16: May 01 2006:
   - portability fixes: EXSLT date/time on Solaris and IRIX (Albert Chin),
      HP-UX  build (Albert Chin), 
  
   - build fixes: Python detection(Joseph Sacco), plugin configurei
      (Joel Reed)
   - bug fixes: pattern compilation fix(William Brack), EXSLT date/time
      fix (Thomas Broyer), EXSLT function bug, potential loop on variable
      eval, startup race (Christopher Palmer), debug statement left in python
      (Nic Ferrier), various cleanup based on Coverity reports), error on
      Out of memory condition (Charles Hardin), various namespace prefixes
      fixes (Kasimier Buchcik), 
   - improvement: speed up sortingi, start of internals refactoring (Kasimier
      Buchcik)
   - documentation: man page fixes and updates (Daniel Leidert)



1.1.15: Sep 04 2005:
   - build fixes: Windows build cleanups and updates (Igor Zlatkovic),
    remove jhbuild warnings
   - bug fixes: negative number formatting (William Brack), number
    formatting per mille definition (William Brack), XInclude default values
    (William), text copy bugs (William), bug related to xmlXPathContext size,
    reuse libxml2 memory management for text nodes, dictionary text bug,
    forbid variables in match (needs libxml2-2.6.21)
   - improvements: EXSLT dyn:map (Mark Vakoc),
   - documentation: EXSLT date and time functions namespace in man (Jonathan
    Wakely)


1.1.14: Apr 02 2005:
   - bug fixes: text node on stylesheet document without a dictionary
    (William Brack), more checking of XSLT syntax, calling xsltInit()
    multiple times, mode values interning raised by Mark Vakoc, bug in
    pattern matching with ancestors, bug in patterna matching with cascading
    select, xinclude and document() problem, build outside of source tree
    (Mike Castle)
   - improvement: added a --nodict mode to xsltproc to check problems for
    docuemtns without dictionaries


1.1.13: Mar 13 2005:
   - build fixes: 64bits cleanup (William Brack), python 2.4 test (William),
    LIBXSLT_VERSION_EXTRA on Windows (William), Windows makefiles fixes (Joel
    Reed), libgcrypt-devel requires for RPM spec.
   - bug fixes: exslt day-of-week-in-month (Sal Paradise), xsl:call-template
    should not change the current template rule (William Brack), evaluation
    of global variables (William Brack), RVT's in XPath predicates (William),
    namespace URI on template names (Mark Vakoc), stat() for Windows patch
    (Aleksey Gurtovoy), pattern expression fixes (William Brack), out of
    memory detection misses (William), parserOptions propagation (William),
    exclude-result-prefixes fix (William), // patten fix (William).
   - extensions: module support (Joel Reed), dictionary based speedups
    trying to get rid of xmlStrEqual as much as possible.
   - documentation: added Wiki (Joel Reed)


1.1.12: Oct 29 2004:
   - build fixes: warnings removal (William).
   - bug fixes: attribute document pointer fix (Mark Vakoc), exslt date
    negative periods (William Brack), generated tree structure fixes,
    namespace lookup fix, use reentrant gmtime_r (William Brack),
    exslt:funtion namespace fix (William), potential NULL pointer reference
    (Dennis Dams, William), force string interning on generated
  documents.
   - documentation: update of the second tutorial (Panagiotis Louridas), add
    exslt doc in rpm packages, fix the xsltproc man page.


1.1.11: Sep 29 2004:
   - bug fixes: xsl:include problems (William Brack), UTF8 number pattern
    (William), date-time validation (William), namespace fix (William),
    various Exslt date fixes (William), error callback fixes, leak with
    namespaced global variable, attempt to fix a weird problem #153137
   - improvements: exslt:date-sum tests (Derek Poon)
   - documentation: second tutorial by Panagiotis Lourida


1.1.10: Aug 31 2004:
   - build fix: NUL in c file blocking compilation on Solaris, Windows build
    (Igor Zlatkovic)
   - fix: key initialization problem (William Brack)
   - documentation: fixed missing man page description for --path


1.1.9: Aug 22 2004:
   - build fixes: missing tests (William Brack), Python dependancies, Python
    on 64bits boxes, --with-crypto flag (Rob Richards),
   - fixes: RVT key handling (William), Python binding (William and Sitsofe
    Wheeler), key and XPath troubles (William), template priority on imports
    (William), str:tokenize with empty strings (William), #default namespace
    alias behaviour (William), doc ordering missing for main document
    (William), 64bit bug (Andreas Schwab)
   - improvements: EXSLT date:sum added (Joel Reed), hook for document
    loading for David Hyatt, xsltproc --nodtdattr to avoid defaulting DTD
    attributes, extend xsltproc --version with CVS stamp (William).
   - Documentation: web page problem reported by Oliver Stoeneberg


1.1.8: July 5 2004:
   - build fixes: Windows runtime options (Oliver Stoeneberg), Windows
    binary package layout (Igor Zlatkovic), libgcrypt version test and link
    (William)
   - documentation: fix libxslt namespace name in doc (William)
   - bug fixes: undefined namespace message (William Brack), search engine
    (William), multiple namespace fixups (William), namespace fix for key
    evaluation (William), Python memory debug bindings,
   - improvements: crypto extensions for exslt (Joel Reed, William)


1.1.7: May 17 2004:
   - build fix: warning about localtime_r on Solaris
   - bug fix: UTF8 string tokenize (William Brack), subtle memory
    corruption, linefeed after comment at document level (William),
    disable-output-escaping problem (William), pattern compilation in deep
    imported stylesheets (William), namespace extension prefix bug,
    libxslt.m4 bug (Edward Rudd), namespace lookup for attribute, namespaced
    DOCTYPE name


1.1.6: Apr 18 2004:
   - 2 bug fixes about keys fixed one by Mark Vakoc


1.1.5: Mar 23 2004:
   - performance: use dictionary lookup for variables
   - remove use of _private from source documents
   - cleanup of "make tests" output
   - bugfixes: AVT in local variables, use localtime_r to avoid thread
    troubles (William), dictionary handling bug (William), limited number of
    stubstitutions in AVT (William), tokenize fix for UTF-8 (William),
    superfluous namespace (William), xsltproc error code on
    <xsl:message> halt, OpenVMS fix, dictionary reference counting
    change.


1.1.4: Feb 23 2004:
   - bugfixes: attributes without doc (Mariano Suárez-Alvarez), problem with
    Yelp, extension problem
   - display extension modules (Steve Little)
   - Windows compilation patch (Mark Vadoc), Mingw (Mikhail Grushinskiy)


1.1.3: Feb 16 2004:
   - Rewrote the Attribute Value Template code, new XPath compilation
    interfaces, dictionary reuses for XSLT with potential for serious
    performance improvements.
   - bug fixes: portability (William Brack), key() in node-set() results
    (William), comment before doctype (William), math and node-set() problems
    (William), cdata element and default namespace (William), behaviour on
    unknown XSLT elements (Stefan Kost), priority of "//foo" patterns
    (William), xsl:element and xsl:attribute QName check (William), comments
    with -- (William), attribute namespace (William), check for ?> in PI
    (William)
   - Documentations: cleanup (John Fleck and William)
   - Python: patch for OS-X (Gianni Ceccarelli), enums export (Stephane
    bidoul)


1.1.2: Dec 24 2003:
   - Documentation fixes (John Fleck, William Brack), EXSLT documentation
    (William Brack)
   - Windows compilation fixes for MSVC and Mingw (Igor Zlatkovic)
   - Bug fixes: exslt:date returning NULL strings (William Brack),
    namespaces output (William Brack),  key and namespace definition problem,
    passing options down to the document() parser, xsl:number fixes (William
    Brack)


1.1.1: Dec 10 2003:
   - code cleanup (William Brack)
   - Windows: Makefile improvements (Igor Zlatkovic)
   - documentation improvements: William Brack, libexslt man page (Jonathan
    Wakely)
   - param in EXSLT functions (Shaun McCance)
   - XSLT debugging improvements (Mark Vakoc)
   - bug fixes: number formatting (Bjorn Reese), exslt:tokenize (William
    Brack), key selector parsing with | reported by Oleg Paraschenko,
    xsl:element with computed namespaces (William Brack), xslt:import/include
    recursion detection (William Brack), exslt:function used in keys (William
    Brack), bug when CDATA_SECTION are foun in the tree (William Brack),
    entities handling when using XInclude.


1.1.0: Nov 4 2003:
   - Removed DocBook SGML broken support
   - fix xsl:key to work with PIs
   - Makefile and build improvement (Graham Wilson), build cleanup (William
    Brack), macro fix (Justin Fletcher), build outside of source tree (Roumen
    Petrov)
   - xsltproc option display fix (Alexey Efimov), --load-trace (Crutcher
    Dunnavant)
   - Python: never use stdout for error
   - extension memory error fix (Karl Eichwalder)
   - header path fixes (Steve Ball)
   - added saxon:line-number() to libexslt (Brett Kail)
   - Fix some tortuous template problems when using predicates (William
    Brack)
   - Debugger status patch (Kasimier Buchcik)
   - Use new libxml2-2.6.x APIs for faster processing
   - Make sure xsl:sort is empty
   - Fixed a bug in default processing of attributes
   - Removes the deprecated breakpoint library
   - detect invalid names on templates (William Brack)
   - fix exslt:document (and similar) base handling problem


1.0.33: Sep 12 2003:
This is a bugfix only release   - error message missing argument (William Brack)
   - mode not cascaded in template fallbacks (William Brack)
   - catch redefinition of parameter/variables  (William Brack)
   - multiple keys with same namespace name (William Brack)
   - patch for compilation using MingW on Windows (Mikhail Grushinskiy)
   - header export macros for Windows (Igor Zlatkovic)
   - cdata-section-elements handling of namespaced names
   - compilation without libxml2 XPointer support (Mark Vadoc)
   - apply-templates crash (William Brack)
   - bug with imported templates (William Brack)
   - imported attribute-sets merging bug (DocBook) (William Brack)


1.0.32: Aug 9 2003:
   - bugfixes: xsltSaveResultToFile() python binding (Chris Jaeger), EXSLT
    function (William Brack), RVT for globals (William Brack), EXSLT date
    (William Brack),
    speed of large text output, xsl:copy with attributes, strip-space and
    namespaces prefix, fix for --path xsltproc option, EXST:tokenize (Shaun
    McCance), EXSLT:seconds (William Brack), sort with multiple keys (William
    Brack), checking of { and } for attribute value templates (William
    Brack)
  
   - Python bindings for extension elements (Sean Treadway)
   - EXSLT:split added (Shaun McCance)
   - portability fixes for HP-UX/Solaris/IRIX (William Brack)
   - doc cleanup


1.0.31: Jul 6 2003:
   - bugfixes: xsl:copy on namespace nodes, AVT for xsl:sort order, fix for
    the debugger (Keith Isdale), output filename limitation, trio.h and
    triodef.h added (Albert Chin), EXSLT node-set (Peter Breitenlohner),
    xsltChoose and whitespace (Igor Zlatkovic),
    stylesheet compilation (Igor Zlatkovic), NaN and sort (William Brack),
    RVT bug introduced in 1.0.30
  
   - avoid generating &quot; (fix in libxml2-2.5.8)
   - fix 64bit cleaness problem and compilation troubles introduced in
  1.0.30
   - Windows makefile generation (Igor Zlatkovic)
   - HP-UX portability fix


1.0.30: May 4 2003:
   - Fixes and new APIs to handle Result Value Trees and avoid leaks
   - Fixes for: EXSLT math pow() function (Charles Bozeman), global
    parameter and global variables mismatch, a segfault on pattern
    compilation errors, namespace copy in xsl:copy-of, python generator
    problem, OpenVMS trio update, premature call to xsltFreeStackElem (Igor),
    current node when templates applies to attributes


1.0.29: Apr 1 2003:
   - performance improvements especially for large flat documents
   - bug fixes: Result Value Tree handling, XML IDs, keys(), extra namespace
    declarations with xsl:elements.
   - portability: python and trio fixes (Albert Chin), python on Solaris
    (Ben Phillips)


1.0.28: Mar 24 2003:
   - fixed node() in patterns semantic.
   - fixed a memory access problem in format-number()
   - fixed stack overflow in recursive global variable or params
   - cleaned up Result Value Tree handling, and fixed a couple of old bugs
    in the process


1.0.27: Feb 24 2003:
   - bug fixes: spurious xmlns:nsX="" generation, serialization bug (in
    libxml2), a namespace copy problem, errors in the RPM spec prereqs
   - Windows path canonicalization and document cache fix (Igor)


1.0.26: Feb 10 2003:
   - Fixed 3 serious bugs in document() and stylesheet compilation which
    could lead to a crash


1.0.25: Feb 5 2003:
   - Bug fix: double-free for standalone stylesheets introduced in 1.0.24, C
    syntax pbm, 3 bugs reported by Eric van der Vlist
   - Some XPath and XInclude related problems were actually fixed in
    libxml2-2.5.2
   - Documentation: emphasize taht --docbook is not for XML docs.


1.0.24: Jan 14 2003:
   - bug fixes: imported global varables, python bindings (Stéphane Bidoul),
    EXSLT memory leak (Charles Bozeman), namespace generation on
    xsl:attribute, space handling with imports (Daniel Stodden),
    extension-element-prefixes (Josh Parsons), comments within xsl:text (Matt
    Sergeant), superfluous xmlns generation, XInclude related bug for
    numbering, EXSLT strings (Alexey Efimov), attribute-sets computation on
    imports, extension module init and shutdown callbacks not called
   - HP-UX portability (Alexey Efimov), Windows makefiles (Igor and Stephane
    Bidoul), VMS makefile updates (Craig A. Berry)
   - adds xsltGetProfileInformation() (Michael Rothwell)
   - fix the API generation scripts
   - API to provide the sorting routines (Richard Jinks)
   - added XML description of the EXSLT API
   - added ESXLT URI (un)escaping (Jörg Walter)
   - Some memory leaks have been found and fixed
   - document() now support fragment identifiers in URIs


1.0.23: Nov 17 2002:
   - Windows build cleanup (Igor)
   - Unix build and RPM packaging cleanup
   - Improvement of the python bindings: extension functions and activating
    EXSLT
   - various bug fixes: number formatting, portability for bounded string
    functions, CData nodes, key(), @*[...] patterns
   - Documentation improvements (John Fleck)
   - added libxslt.m4 (Thomas Schraitle)


1.0.22: Oct 18 2002:
   - Updates on the Windows Makefiles
   - Added a security module, and a related set of new options to
  xsltproc
   - Allowed per transformation error handler.
   - Fixed a few bugs: node() semantic, URI escaping, media-type, attribute
    lists


1.0.21: Sep 26 2002:
   - Bug fixes: match="node()", date:difference() (Igor and Charlie
    Bozeman), disable-output-escaping
   - Python bindings: style.saveResultToString() from Ralf Mattes
   - Logos from Marc Liyanage
   - Mem leak fix from Nathan Myers
   - Makefile: DESTDIR fix from Christophe Merlet, AMD x86_64 (Mandrake),
    Windows (Igor), Python detection
   - Documentation improvements: John Fleck


1.0.20: Aug 23 2002:
   - Windows makefile updates (Igor) and x86-64 (Frederic Crozat)
   - fixed HTML meta tag saving for Mac/IE users
   - possible leak patches from Nathan Myers
   - try to handle document('') as best as possible depending in the
  cases
   - Fixed the DocBook stylesheets handling problem
   - Fixed a few XSLT reported errors


1.0.19:  July 6 2002:
   - EXSLT: dynamic functions and date support bug fixes (Mark Vakoc)
   - xsl:number fix: Richard Jinks
   - xsl:format-numbers fix: Ken Neighbors
   - document('') fix: bug pointed by Eric van der Vlist
   - xsl:message with terminate="yes" fixes: William Brack
   - xsl:sort order support added: Ken Neighbors
   - a few other bug fixes, some of them requiring the latest version of
    libxml2


1.0.18: May 27 2002:
   - a number of bug fixes: attributes, extra namespace declarations
    (DocBook), xsl:include crash (Igor), documentation (Christian Cornelssen,
    Charles Bozeman and Geert Kloosterman),  element-available (Richard
  Jinks)
   - xsltproc can now list teh registered extensions thanks to Mark
  Vakoc
   - there is a new API to save directly to a string
    xsltSaveResultToString() by Morus Walter
   - specific error registration function for the python API


1.0.17: April 29 2002:
   - cleanup in code, XSLT debugger support and Makefiles for Windows by
  Igor
   - a C++ portability fix by Mark Vakoc
   - EXSLT date improvement and regression tests by Charles Bozeman
   - attempt to fix a bug in xsltProcessUserParamInternal


1.0.16: April 15 2002:
   - Bug fixes: strip-space, URL in HTML output, error when xsltproc can't
    save
   - portability fixes: OSF/1, IEEE on alphas, Windows, Python bindings


1.0.15: Mar 25 2002:
   - Bugfixes: XPath, python Makefile, recursive attribute sets, @foo[..]
    templates
   - Debug of memory alocation with valgind
   - serious profiling leading to significant improvement for DocBook
    processing
   - revamp of the Windows build


1.0.14: Mar 18 2002:
   - Improvement in the XPath engine (libxml2-2.4.18)
   - Nasty bug fix related to exslt:node-set
   - Fixed the python Makefiles, cleanup of doc comments, Windows
    portability fixes


1.0.13: Mar 8 2002:
   - a number of bug fixes including "namespace node have no parents"
   - Improvement of the Python bindings
   - Charles Bozeman provided fixes and regression tests for exslt date
    functions.


1.0.12: Feb 11 2002:
   - Fixed the makefiles especially the python module ones
   - half a dozen bugs fixes including 2 old ones


1.0.11: Feb 8 2002:
   - Change of Licence to the MIT
  Licence
   - Added a beta version of the Python bindings, including support to
    extend the engine with functions written in Python
   - A number of bug fixes
   - Charlie Bozeman provided more EXSLT functions
   - Portability fixes


1.0.10: Jan 14 2002:
   - Windows fixes for Win32 from Igor
   - Fixed the Solaris compilation trouble (Albert)
   - Documentation changes and updates: John Fleck
   - Added a stringparam option to avoid escaping hell at the shell
  level
   - A few bug fixes


1.0.9: Dec 7 2001:
   - Makefile patches from Peter Williams
   - attempt to fix the compilation problem associated to prelinking
   - obsoleted libxsltbreakpoint now deprecated and frozen to 1.0.8 API
   - xsltproc return codes are now significant, John Fleck updated the
    documentation
   - patch to allow as much as 40 steps in patterns (Marc Tardif), should be
    made dynamic really
   - fixed a bug raised by Nik Clayton when using doctypes with HTML
  output
   - patches from Keith Isdale to interface with xsltdebugger


1.0.8: Nov 26 2001:
   - fixed an annoying header problem, removed a few bugs and some code
    cleanup
   - patches for Windows and update of Windows Makefiles by Igor
   - OpenVMS port instructions from John A Fotheringham
   - fixed some Makefiles annoyance and libraries prelinking
  information


1.0.7: Nov 10 2001:
   - remove a compilation problem with LIBXSLT_PUBLIC
   - Finishing the integration steps for Keith Isdale debugger
   - fixes the handling of indent="no" on HTML output
   - fixes on the configure script and RPM spec file


1.0.6: Oct 30 2001:
   - bug fixes on number formatting (Thomas), date/time functions (Bruce
    Miller)
   - update of the Windows Makefiles (Igor)
   - fixed DOCTYPE generation rules for HTML output (me)


1.0.5: Oct 10 2001:
   - some portability fixes, including Windows makefile updates from
  Igor
   - fixed a dozen bugs on XSLT and EXSLT (me and Thomas Broyer)
   - support for Saxon's evaluate and expressions extensions added (initial
    contribution from Darren Graves)
   - better handling of XPath evaluation errors


1.0.4: Sep 12 2001:
   - Documentation updates from John fleck
   - bug fixes (DocBook  FO generation should be fixed)  and portability
    improvements
   - Thomas Broyer improved the existing EXSLT support and added String,
    Time and Date core functions support


1.0.3:  Aug 23 2001:
   - XML Catalog support see the doc
   - New NaN/Infinity floating point code
   - A few bug fixes


1.0.2:  Aug 15 2001:
   - lot of bug fixes, increased the testsuite
   - a large chunk of EXSLT is implemented
   - improvements on the extension framework
   - documentation improvements
   - Windows MSC projects files should be up-to-date
   - handle attributes inherited from the DTD by default


1.0.1:  July 24 2001:
   - initial EXSLT framework
   - better error reporting
   - fixed the profiler on Windows
   - bug fixes


1.0.0: July 10 2001:
   - a lot of cleanup, a lot of regression tests added or fixed
   - added a documentation for writing
    extensions
   - fixed some variable evaluation problems (with William)
   - added profiling of stylesheet execution accessible as the xsltproc
    --profile option
   - fixed element-available() and the implementation of the various
    chunking methods present, Norm Walsh provided a lot of feedback
   - exclude-result-prefixes and namespaces output should now work as
    expected
   - added support of embedded stylesheet as described in section 2.7 of the
    spec


0.14.0: July 5 2001:
   - lot of bug fixes, and code cleanup
   - completion of the little XSLT-1.0 features left unimplemented
   - Added and implemented the extension API suggested by Thomas Broyer
   - the Windows MSC environment should be complete
   - tested and optimized with a really large document (DocBook Definitive
    Guide) libxml/libxslt should really be faster on serious workloads


0.13.0: June 26 2001:
   - lots of cleanups
   - fixed a C++ compilation problem
   - couple of fixes to xsltSaveTo()
   - try to fix Docbook-xslt-1.4 and chunking, updated the regression test
    with them
   - fixed pattern compilation and priorities problems
   - Patches for Windows and MSC project mostly contributed by Yon Derek
   - update to the Tutorial by John Fleck
   - William fixed bugs in templates and for-each functions
   - added a new interface xsltRunStylesheet() for a more flexible output
    (incomplete), added -o option to xsltproc


0.12.0: June 18 2001:
   - fixed a dozen of bugs reported
   - HTML generation should be quite better (requires libxml-2.3.11 upgrade
    too)
   - William fixed some problems with document()
   - Fix namespace nodes selection and copy (requires libxml-2.3.11 upgrade
    too)
   - John Fleck added a
  tutorial
   - Fixes for namespace handling when evaluating variables
   - XInclude global flag added to process XInclude on document() if
    requested
   - made xsltproc --version more detailed


0.11.0: June 1 2001:
Mostly a bug fix release.   - integration of catalogs from xsltproc
   - added --version to xsltproc for bug reporting
   - fixed errors when handling ID in external parsed entities
   - document() should hopefully work correctly but ...
   - fixed bug with PI and comments processing
   - William fixed the XPath string functions when using unicode


0.10.0: May 19 2001:
   - cleanups to make stylesheet read-only (not 100% complete)
   - fixed URI resolution in document()
   - force all XPath expression to be compiled at stylesheet parsing time,
    even if unused ...
   - Fixed HTML default output detection
   - Fixed double attribute generation #54446
   - Fixed {{ handling in attributes #54451
   - More tests and speedups for DocBook document transformations
   - Fixed a really bad race like bug in xsltCopyTreeList()
   - added a documentation on the libxslt internals
   - William Brack and Bjorn Reese improved format-number()
   - Fixed multiple sort, it should really work now
   - added a --docbook option for SGML DocBook input (hackish)
   - a number of other bug fixes and regression test added as people were
    submitting them


0.9.0: May 3 2001:
   - lot of various bugfixes, extended the regression suite
   - xsltproc should work with multiple params
   - added an option to use xsltproc with HTML input
   - improved the stylesheet compilation, processing of complex stylesheets
    should be faster
   - using the same stylesheet for concurrent processing on multithreaded
    programs should work now
   - fixed another batch of namespace handling problems
   - Implemented multiple level of sorting


0.8.0: Apr 22 2001:
   - fixed ansidecl.h problem
   - fixed unparsed-entity-uri() and generate-id()
   - sort semantic fixes and priority prob from William M. Brack
   - fixed namespace handling problems in XPath expression computations
    (requires libxml-2.3.7)
   - fixes to current() and key()
   - other, smaller fixes, lots of testing with N Walsh DocBook HTML
    stylesheets


0.7.0: Apr 10 2001:
   - cleanup using stricter compiler flags
   - command line parameter passing
   - fix to xsltApplyTemplates from William M. Brack
   - added the XSLTMark in the regression tests as well as document()


0.6.0: Mar 22 2001:
   - another beta
   - requires 2.3.5, which provide XPath expression compilation support
   - document() extension should function properly
   - fixed a number or reported bugs


0.5.0: Mar 10 2001:
   - fifth beta
   - some optimization work, for the moment 2 XSLT transform cannot use the
    same stylesheet at the same time (to be fixed)
   - fixed problems with handling of tree results
   - fixed a reported strip-spaces problem
   - added more reported/fixed bugs to the test suite
   - incorporated William M. Brack fix for imports and global variables as
    well as patch for with-param support in apply-templates
   - a bug fix on for-each


0.4.0: Mar 1 2001:
   - fourth beta test, released at the same time of libxml2-2.3.3
   - bug fixes
   - some optimization
   - started implement extension support, not finished
   - implemented but not tested multiple file output


0.3.0: Feb 24 2001:
   - third beta test, released at the same time of libxml2-2.3.2
   - lot of bug fixes
   - some optimization
   - added DocBook XSL based testsuite


0.2.0: Feb 15 2001:
   - second beta version, released at the same time as libxml2-2.3.1
   - getting close to feature completion, lot of bug fixes, some in the HTML
    and XPath support of libxml
   - start becoming usable for real work. This version can now regenerate
    the XML 2e HTML from the original XML sources and the associated
    stylesheets (in section I of the XML
    REC)
   - Still misses extension element/function/prefixes support. Support of
    key() and document() is not complete


0.1.0: Feb 8 2001:
   - first beta version, released at the same time as libxml2-2.3.0
   - lots of bug fixes, first "testing" version, but incomplete


0.0.1: Jan 25 2001:
   - first alpha version released at the same time as libxml2-2.2.12
   - Framework in place, should work on simple examples, but far from being
    feature complete

Daniel Veillard at 
bugs.html
